import request from '@/utils/request'

/*                分类获取公共配置
* category        1.系统参数 2.公共配置
* configType      1.基础配置 2.管控一体机 3.化学品终端 4.小程序配置 5.开发配置 6.首页配置
*/
export function getConfigByType(data) {
    return request({
        url: '/system/config/info/getConfigByType',
        method: 'post',
        data: data
    })
}
// 院校通知/工作通知列表
// notifyType 3.工作通知 2.校院通知
export function systemNotifyList(data) {
    return request({
        url: '/system/notify/list',
        method: 'post',
        data: data
    })
}
// 分级管控列表
export function laboratoryGradeManageList(data) {
    return request({
        url: '/laboratory/gradeManage/list',
        method: 'post',
        data: data
    })
}
// 查询安全分级列表(不带分页)
export function laboratoryClassLevelGetList(data) {
    return request({
        url: '/laboratory/classLevel/getList',
        method: 'post',
        data: data
    })
}

// 查询安全分类列表(不带分页)
export function laboratoryClassTypeGetList(data) {
    return request({
        url: '/laboratory/classType/getList',
        method: 'post',
        data: data
    })
}
// 实验室人员-列表
export function laboratoryBigViewSubUserCount(data) {
    return request({
        url: '/laboratory/bigView/subUserCount',
        method: 'post',
        data: data
    })
}
// 实验室人员-总数
export function laboratoryBigViewSubTotalUserCount(data) {
    return request({
        url: '/laboratory/bigView/subTotalUserCount',
        method: 'post',
        data: data
    })
}
//实验室分类分级统计
export function laboratoryBigViewsSubTypeLevelCount(data) {
    return request({
        url: '/laboratory/bigView/subTypeLevelCount',
        method: 'post',
        data: data
    })
}
//危险源统计
export function laboratoryBigViewSubHazardCount(data) {
    return request({
        url: '/laboratory/bigView/subHazardCount',
        method: 'post',
        data: data
    })
}
//危险源统计
export function laboratoryBigViewSubHazardBarChartCount(data) {
    return request({
        url: '/laboratory/bigView/subHazardBarChartCount',
        method: 'post',
        data: data
    })
}
//危险源统计
export function laboratoryBigViewSubHazardList(data) {
    return request({
        url: '/laboratory/bigView/subHazardList',
        method: 'post',
        data: data
    })
}
// 根据字典类型查询字典数据信息
export function getDicts(dictType) {
    return request({
        url: '/system/dict/item/option?dictCode=' + dictType,
        method: 'get'
    })
}
//本月隐患统计
export function securityBigViewCheckOptionCharts(data) {
    return request({
        url: '/security/bigView/checkOptionCharts',
        method: 'post',
        data: data
    })
}
//隐患统计
export function securityBigViewCheckOptionChartDetails(data) {
    return request({
        url: '/security/bigView/checkOptionChartDetails',
        method: 'post',
        data: data
    })
}
//隐患统计-隐患类型
export function securityCheckOptionList(query) {
    return request({
        url: '/security/checkOption/list',
        method: 'get',
        params: query
    })
}
//实验室-传感器
export function laboratoryBigViewFindSubSensor(data) {
    return request({
        url: '/laboratory/bigView/findSubSensor',
        method: 'post',
        data: data
    })
}
//查询当前正在发生的预案
export function laboratoryBigViewSelectTriggerInfo(query) {
    return request({
        url: '/laboratory/bigView/selectTriggerInfo',
        method: 'get',
        params: query
    })
}
//首页-风险预警统计
export function laboratoryBigViewCollegeEventStatistics(query) {
    return request({
        url: '/laboratory/bigView/collegeEventStatistics',
        method: 'get',
        params: query
    })
}
//首页-安全准入办理统计
export function laboratoryBigViewListCollegeApplyColumn(query) {
    return request({
        url: '/laboratory/bigView/listCollegeApplyColumn',
        method: 'get',
        params: query
    })
}
//安全准入办理列表
export function laboratoryBigViewListCollege(data) {
    return request({
        url: '/laboratory/bigView/listCollege',
        method: 'post',
        data: data
    })
}

//首页-人员违规统计
export function examBigViewNewStatistics(data) {
    return request({
        url: '/exam/bigView/newStatistics',
        method: 'post',
        data: data
    })
}
//首页-人员违规统计-柱状图
export function examBigViewDetailColumnar(data) {
    return request({
        url: '/exam/bigView/detail/columnar',
        method: 'post',
        data: data
    })
}
//首页-人员违规统计-列表
export function examBigViewDetailSubList(data) {
    return request({
        url: '/exam/bigView/detail/subList',
        method: 'post',
        data: data
    })
}
//首页-安全检查-列表
export function securityBigViewList(data) {
    return request({
        url: '/security/bigView/list',
        method: 'post',
        data: data
    })
}
//风险预警统计列表
export function laboratoryBigViewCollegeEventStatisticsList(data) {
    return request({
        url: '/laboratory/bigView/collegeEventStatisticsList',
        method: 'post',
        data: data
    })
}
//风险预警统计列表
export function laboratoryRiskDeviceTypeGetList(query) {
    return request({
        url: '/laboratory/riskDeviceType/getList',
        method: 'get',
        params: query
    })
}
//首页-安全检查-统计数量
export function securityBigViewPlanStatistics(data) {
    return request({
        url: '/security/bigView/planStatistics',
        method: 'post',
        data: data
    })
}
//首页-人员违规统计-违规原因
export function examViolationSiteGetListByType(query) {
    return request({
        url: '/exam/violationSite/getListByType',
        method: 'get',
        params: query
    })
}
//楼栋下楼层数据
export function laboratoryBigViewGetFloorListByBigView(data) {
    return request({
        url: '/laboratory/bigView/getFloorListByBigView',
        method: 'post',
        data: data
    })
}
//校区-楼栋
export function systemBuildingGetTreeList(data) {
    return request({
        url: '/system/building/getTreeList',
        method: 'post',
        data: data
    })
}
//应急处置-获取楼层-智能物联设备列表
export function iotBigViewDeviceFindByType(data) {
    return request({
        url: '/iot/bigView/device/findByType',
        method: 'post',
        data: data
    })
}

/*
应急处置-指定物联设备查询列表
typeKey:'camera'//摄像头
楼层或实验室 floorId 楼层ID  subjectId  实验室ID
*/
export function iotBigViewDeviceList(data) {
    return request({
        url: '/iot/bigView/device/list',
        method: 'post',
        data: data
    })
}

//应急处置-查询实验室传感器列表
export function iotBigViewDeviceFindBySubId(query) {
    return request({
        url: '/iot/bigView/device/findBySubId',
        method: 'get',
        params: query
    })
}
//执行记录-详情
export function laboratoryEventFindByEventId(query) {
    return request({
        url: '/laboratory/event/findByEventId',
        method: 'get',
        params: query
    })
}
//实验室-详情
export function laboratorySubRelInfoGetDetailInfo(query) {
    return request({
        url: '/laboratory/subRelInfo/getDetailInfo',
        method: 'get',
        params: query
    })
}
//应急处置-喇叭播放文本
export function iotBigViewSpeakerPlayText(query) {
    return request({
        url: '/iot/bigView/speaker/playText',
        method: 'get',
        params: query
    })
}

//应急处置-结束预案
export function laboratoryPlanCloseRiskPlan(query) {
    return request({
        url: '/laboratory/plan/closeRiskPlan',
        method: 'get',
        params: query
    })
}
